Mailinglist Archive: opensuse-security (228 mails)

< Previous Next >
Re: [suse-security] install logwatch on suse 9.0
  • From: Cristian Del Carlo <delcarlo@xxxxxxxxxxxxxx>
  • Date: Fri, 11 Mar 2005 14:37:59 +0100 (CET)
  • Message-id: <606711.1110548278989.SLOX.WebMail.wwwrun@xxxxxxxxxxxxxxxxxxxxxxxxxxx>
Hi,
if i do the following command :
# perl -MCPAN -e shell
> install Getopt::Long

I have that Getopt::Long is up to date.
But if do the command :
>install File::Temp

I have the error :
......
Checking if your kit is complete...
Looks good
Writing Makefile for File::Temp
-- NOT OK
Running make test
Can't test without successful make
Running make install
make had returned bad status, install seems impossible

Any idea ?

Thanks.


Cristian

On Mar 11, 2005 02:13 PM, Felix Günther <mailing@xxxxxxxxxxxxxx> wrote:

> Hi,
>
> > ... i have the following failed dependencies:
> > perl(Exporter)
> > perl(Getopt::Long)
> > perl(POSIX)
> > perl(File::Temp)
> > perl(strict)
>
> I had the same problem on SuSE 8.1. Two perl-modules (I think
> Getopt::Long and File::Tmp) really weren't there, I installed them via
> cpan, but still got the same error. I added the parameter "--nodeps" to
> the rpm line and got logwatch installed without any problems; it works fine.
>
> Greetings,
> Felix Günther
>



Cristian Del Carlo



< Previous Next >
Follow Ups
References